Bug 154423 - Display a progress indication on the login screen for early-login
Display a progress indication on the login screen for early-login
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks: FC4Target
  Show dependency treegraph
 
Reported: 2005-04-11 12:28 EDT by Matthias Clasen
Modified: 2007-11-30 17:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 01:43:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2005-04-11 12:28:40 EDT
Some people really want this. It should probably just be a throbber, not list
started services in detail. It should notify the user about failed services, and
maybe offer a way to see the error messages.
Comment 1 Bill Nottingham 2005-04-15 23:14:14 EDT
Obviously, this should just tie into the dbus notifcation of service startup and
failure. Oh wait, that's not written yet. :)
Comment 2 Need Real Name 2005-04-16 04:07:01 EDT
You could do this with a few line status scroller, like on a credits screen.
This way it wouldn't take up much space.
As each service starts, it rolls down to take the previous messages' place.
Failed messages get thrown to another part of the screen (literally), so that
they really do get noticed.
Comment 3 Rodd Clarkson 2005-04-17 21:50:44 EDT
This might require rethinking about how the elements on the gdm window are
displayed.

It would be super slick if elements could be moved (in a nice gliding manner) so
that you could start gdm and while the user can't log in the boot progress
display is central to the window.  Once the user can begin to login, the boot
progress element would move to make room for the login element (in a nicely
balance visual way) and then once the boot is complete, the boot progress window
would disappear and the login element would move to be central on the screen.

I know it sounds like a bit of work, but if would look very slick.

Waking from a dream, it of course makes a lot of sense just to get both elements
on the screen in an acceptable manner.  This will mean shuffling the login
element around somewhere to make room for the boot progress element.

I would also be great if the boot progress element could be expanded to see
what's going on and to handle boot bits that need interaction like
finding/removing new hardware.  This means a reasonable amount of screen space
will be needed for this, but given that your only talking a console size space
it should be easy enought to include.  (Of course, it would be really nice if
any uiser interaction like addding/removing hardware was graphical in nature
using clickable icons instead of a text driven, tab controlled interface, but I
must have nodded off into la la land again ;-] )

NOTE: This is just the idle ramblings of a guy dreaming of what could be and
wanting to make sure that it's been commented out loud.
Comment 4 Matthias Clasen 2005-04-21 01:43:45 EDT
Support for a throbber on the login screen is now in Rawhide.
Comment 5 Mike Chambers 2005-04-23 07:55:40 EDT
Not sure what you mean by throbber, but the only thing I saw with this autlogin
setup/update, is a blue screen and a cursor.
Comment 6 Daniel Malmgren 2005-04-23 08:02:45 EDT
Yep. Me too. Looked the same as 2.6.0.8-5.
Comment 7 Matthias Clasen 2005-04-24 08:25:52 EDT
Yes, there is no throbber for autologin mode. Thats why I carefully said
"throbber on the login screen". In autologin mode, there is no login screen...

Note You need to log in before you can comment on or make changes to this bug.